View Issue Details

IDProjectCategoryView StatusLast Update
0000433Cinelerra-GG[All Projects] Featurepublic2020-06-04 02:07
ReporterSam Assigned Togoodguy  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status assignedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0000433: Audio tracks improvement request from Glen
DescriptionHi,

Just posting a few thoughts and wondering if anyone else has noticed this or feels the same way..

Something about Cinelerra (of all types) that has always really bothered me is the handling of Audio tracks.. It is not my intention to be critical of anyone's work these are observations not judgements.

- Why do the waveform tracks have to be so large and take up so much screen space? If you look at other NLE's one of the major things that really makes Cinelerra's unconventional UI look 'ugly' and outdated is the sheer size, number and visual bulk of the Audio tracks in the timeline view.

- Why can't the vertical size of Audio tracks be independently sized apart from Video tracks, often when actively working on multiple Video tracks it would be nice to make Audio tracks much much smaller to get them out of the usable screen space.

- Why aren't stereo tracks just one visual 'lane' on the timeline with 2 waveforms in one lane? I've never seen any other application that displays true stereo tracks as individual mono tracks..

- How often do people ever need to independently edit each track of a stereo track? to me splitting a stereo track into 2 mono waveforms should be a rarely needed menu option instead of how Cinelerra displays by default.

- Almost every other NLE I've tried puts mono or stereo Audio tracks in one lane of the timeline and Audio effects are applied to one or both Audio tracks with one visual instance of the plugin, no need to attach a plugin to one channel of the stereo track and then apply a copy of the plugin other to the other channel.. Audio tracks in an NLE should really behave like Audio tracks do in any other Audio application like a DAW. For instance in something like Ardour or Audacity 99% of plugins are stereo and the pin connections of how many channels to process are invisible to the user, if you have a stereo track and you apply a stereo plugin the right and left 'pins' are automatically routed, if you drop a stereo plugin on a mono track then it will just connect one side or the other. Since Cinelerra now has the amazing and (very unique in the NLE world) feature to process with LV2 plugins it would be nice if it behaved like virtually every other host of Audio plugins and just let you apply one visual instance of the plugin and let the application invisibly handle the pin routing and automatically apply the effect processing to however many channels are in the 'lane'

I'm sure like many things simplifying how Cinelerra works with Audio visually will conversely be tortuous on the coding side of things so maybe this isn't feasible to even look into. I truly believe that both visually and operationally Cinelerra's very unorthodox handling and displaying of Audio is a stumbling block to it's adoption by new users. Cinelerra doesn't need to be Lightworks, or Vegas or Kdenlive but there is an industry accepted way that Audio is presented in an NLE and if the coding side isn't impossible I think aligning Cinelerra to a more normal workflow for Audio would be very beneficial..

Just my thoughts, Stay safe and stay healthy everyone!

Glen
Steps To Reproducehttps://www.cinelerra-gg.org/forum/help-video/how-audio-tracks-are-displayed-can-it-be-improved/#post-1110
TagsMain window

Activities

PhyllisSmith

PhyllisSmith

2020-06-04 02:05

manager   ~0003563

Last edited: 2020-06-04 02:07

View 2 revisions

This was added to the forum and duplicated in part here. Glen quote from above: in other DAWs there is "no need to attach a plugin to one channel of the stereo track and then apply a copy of the plugin other to the other channel".

 In looking at the audio code today to study implementation, GG made a startling discovery that appears to be undocumented but very useful to easily attach a plugin to one channel of the stereo track and have it applied to the other channel. So instead of dragging an audio plugin to an audio track and then having to "Attach Effect" and click on "Shared Effect", all you have to do is use the Audio pulldown->Attach effect, choose the effect you would like and make sure the default of "Attach single standalone and share others" is checked on. It will automatically be a "Shared Effect" on all audio tracks (be sure to disarm any tracks that you do not want to have the effect shared on). This also works for Video tracks under the Video pulldown.

I will add documentation to the manual so that this is not lost again and only visible knowledge in the code.



shared_effect.png (20,736 bytes)
shared_effect.png (20,736 bytes)
PhyllisSmith

PhyllisSmith

2020-06-03 20:11

manager   ~0003562

@AVLinux
We are still planning to find a way to encapsulate both tracks in one lane so will not be doing an intermediate step. And we are still stuck on how to do that but "where there's a will, there's a way"!
AVLinux

AVLinux

2020-06-03 19:11

reporter   ~0003560

Hi! I've been watching and following and thanks for all the great work so far by everyone. I waited for the official package update and the track sizing and tumblers are looking good and working well!

One question... as long as we still have 2 separate audio tracks would it be feasible to have both Audio tracks scale from the tumbler together if they are ganged? That way if you have ganged tracks then you only need to adjust one Audio track to make both smaller on the timeline.. Perhaps this is totally unnecessary if future work will encapsulate both tracks in one lane then it may not be worthwhile as an intermediate step?
IgorBeg

IgorBeg

2020-05-30 09:09

reporter   ~0003522

Thanks Phyllis. I hope that other Users think so.
PhyllisSmith

PhyllisSmith

2020-05-30 01:53

manager   ~0003521

@IgorBeg
Thanks, as always. We tested them and they looked good so GG checked them into GIT.
IgorBeg

IgorBeg

2020-05-29 12:27

reporter   ~0003512

I added another compressed file. Inside you find the tumblepatch icons for Unflat, PinkLady, Hulk, Blue, Blond and Neophyte themes.
For the Bright, BlueDot and Blond-cv, I won't do anything, sorry (I don't know who use them).
Tell me if they are okay for all of you. Thanks!

Cin_icons_tumblepatch_2.tar.gz (11,832 bytes)
IgorBeg

IgorBeg

2020-05-29 07:32

reporter   ~0003508

Thanks @Sam for your confirm. Could you give me a feedback for this icon, please? (I think they are so small but the space is really small, there)

Thanks @PhyllisSmith and GG. (Off topic. When you have toothache you usually also have headache, and your days become a hell. I hope gg is fine, now)

I will try to complete the tumblepatch-es for the other themes today or tomorrow, I hope.
PhyllisSmith

PhyllisSmith

2020-05-28 18:04

manager   ~0003502

Oops! Try it now with the latest GIT - forgot to do 1 thing. (Off topic - gg has had a toothache for over a week and no one likes to go to the dentist ordinarily and even worse right now so his brain is not working as well as it should due to pain).

Also, as Sam illustrated in Note 3425, the cut off Audio/Video height in the timeline areas in the zoombar have been fixed so that they look right now.
Sam

Sam

2020-05-28 10:33

administrator   ~0003493

@IgorBeg

I can confirm it Igor. I don't see any changes concerning the icons either.
IgorBeg

IgorBeg

2020-05-28 09:58

reporter   ~0003491

I am sorry, I don't see any changes on Patchbay. The new icons are in theme's folders but they do not affect the Patchbay GUI. May be I wrong to compile?

Cin_version by git: Thu, 28 May 2020 00:27:06 +0200 (16:27 -0600)
PhyllisSmith

PhyllisSmith

2020-05-28 00:39

manager   ~0003480

@IgorBeg
Thank you very much! These have been checked into GIT and it is a nice improvement. Cakewalk uses the cakewalk supplied one and SUV uses the suv one which is also the default for the other themes.
IgorBeg

IgorBeg

2020-05-27 08:10

reporter   ~0003476

If things do not change, and you want to test the new tumble icons ONLY for Patchbay, I created the tumblepatch icons for the SUV and Cakewalk theme. Let me know

Buttons (20 x 17 px):
- tumblepatch_bottom.png
- tumblepatch_hi.png
- tumblepatch_top.png
- tumblepatch_up.png

Vertical size is 17 pixels because it is due at the icons already there.

Cin_icons_tumblepatch.tar.gz (1,977 bytes)
PhyllisSmith

PhyllisSmith

2020-05-22 20:47

manager   ~0003464

@IgorBeg:
About: 1) I think we have agreed that it should remain the same because of the high usage of the wheel.
About: 2) Aesthetic. A new icon for the tumbler in patchbay would be need. The height of the other icons is 17. The tumbler height is greater and spoils the aesthetic. GG says "it would be nice to have a better tumbler icon or something similar as it is not aesthetic or nice". Got one?
IgorBeg

IgorBeg

2020-05-22 10:13

reporter   ~0003463

Ooh, now I understood. The problem is the mouse wheel on the tumbler. Sorry, I never use mouse wheel on the tumbler. Then it is better it remains as it is. (I usually use mouse wheel over the TextBox and Slider)
Sam

Sam

2020-05-22 08:13

administrator   ~0003461

A small addition to your proposal.
Which I would have no problem with, if the tumbler at the bottom of the window is also adapted to your desired behavior by the tumbler from the patchbay. Pressing down increases the track. It should just be uniform and both tumblers should show the same behaviour.
Sam

Sam

2020-05-22 08:05

administrator   ~0003460

Changing the track size by a pullable dividing line would be optimal. With such a movable dividing line I agree with you that when I move down the track size will be increased, when I move up the track size will be decreased.

But I don't think so with tumblers in the patchbay, it would be exactly contrary to the tumblers in the lower bar and would not be consistent. I use the mouse wheel. With the lower tumbler I turn the mouse wheel up to enlarge the track, but with the tumbler in the patchbay I turn it down. The behaviour of both tumblers, which were made for the same purpose to change the track size, would be contradictory to achieve the same action of enlarging or reducing. For this reason, I would like the behavior to be consistent and not contradictory.

But with a pullable dividing line I would absolutely agree with you, so it makes sense if I pull down to increase the track. I would have preferred a pullable divider, but I'm not sure it's possible due to the limitations of Cinelerra.
IgorBeg

IgorBeg

2020-05-22 07:42

reporter   ~0003459

I think that the tumblers on the bottom of the program window have not touch; they are near to the TextBox with the value inside that say you the size: they are perfect.
The tumbler in the patchbay, from my point of view, should work as a resize window: you click on bottom-arrow and it resizes, expand, the track towards down; you click on top-arrow and it resizes, compress, the track towards up.
If it were possible, it would be better to have a resize function without icon tumbler, more clean and intuitive. So, you put your mouse pointer between two tracks (in the patchbay) and the mouse pointer changes from arrow icon to double arrow (vertical) to resize the track vertically like you usually do to resize a window. I think that @AVLinux use in this way in Ardour program.
(mmh, sorry,... in these times it is said "Application" instead of "Program") ;-p
Sam

Sam

2020-05-21 09:33

administrator   ~0003458

Last edited: 2020-05-21 09:34

View 1 revisions

@IgorBeg

On point 1, I have to say that it feels as right for me as it currently is. Because the controls at the bottom of the main window behave the same way. If I want to make something bigger then I turn up. If I turn something down, then I want to make it smaller. With your desired behaviour it would imply that I have to turn the controls at the bottom upwards to increase the track size, but the controls in the patchbay have to be turned the other way round, which in my opinion leads to confusion. Not making the controls consistent would not help the workflow, because I have to think about how each element behaves. But if it is consistent, then I don't have to think about every control element, because I just have to remember that if I move up, I make it bigger, if I move down, I make it smaller.

On point 2, I completely agree with you. If at least the height would be equal with the other elements, then it would look good.



Auswahl_081.png (43,295 bytes)
Auswahl_081.png (43,295 bytes)
IgorBeg

IgorBeg

2020-05-21 07:47

reporter   ~0003457

If the new feature about resizing the tracks height don't change in these days, I would like to add two things:

1) when you click on the top arrow of the tumbler the track is expanded (become greater), and when you click on the bottom arrow the track is compressed (become smaller).
It would be better the opposite. So when you click the bottom arrow the track is expanded. More natural with what you see on the track, I think.

2) Aesthetic. A new icon for the tumbler in patchbay would be need. The height of the other icons is 17. The tumbler height is greater and spoils the aesthetic.
PhyllisSmith

PhyllisSmith

2020-05-20 21:07

manager   ~0003456

@AVLinux

Just a short update. Although we have been discussing bullet 2/3 (single type track with stereo in 2 lanes) almost daily for 2-3 weeks now, we have not yet come up with a way to get this in. Program code for several ideas have been bounced around and subsequently eliminated. We might have a way to do this with the invention of a totally new track type but have not fully explored the possibility as of today.

Still working and hoping to come up with another brilliant idea soon, but at least you will now have the ability to make the audio tracks any size your want.
PhyllisSmith

PhyllisSmith

2020-05-18 18:47

manager   ~0003445

@IgorBeg
Just to let you know, I tested existing (old) projects with the new capability of different sizing of the audio tracks versus the video tracks and all of them should work with no impact with this additional feature. Basically what I am saying is that you do not have to use this new feature and even be aware of its existence really. GG wrote the code so that the size will be the same for audio and video and you can still compress the tracks as usual. (Off topic, I am still working on understanding the nested clip in user bin problem so I can narrow down when the change took place that made it no longer work the same way).
AVLinux

AVLinux

2020-05-18 14:27

reporter   ~0003444

@IgorBeg

Thanks for the clarification with the screencast, there are indeed some size options there that I haven't found yet and wasn't aware of, however for me (in my opinion) whether you make things small or large or visible and not visible the fact that every video/stereo audio stream has a rough ratio of 33% Video display to 66% Audio display (when thumbnails and waveforms are displayed as the same size I mean) it is still wasteful of space. I do believe for many people especially new people it will be much more common and familiar visually to see and do single operations (ie not separately applying Audio plugins to each channel) on stereo tracks within a single timeline lane. But the fact that we will have the freedom to choose is the beauty of the whole thing!

Timeline example of Stereo and Mono Audio tracks in Ardour:



Thanks for the comments about AV Linux, Ubuntu Studio is a tremendous project and for most people it is quite sufficient, AV Linux differs in have a much higher degree of internal detail and offering more software and plugin choices, if you are happy with Ubuntu Studio that is a good thing!

ArdourAudio.png (10,516 bytes)
ArdourAudio.png (10,516 bytes)
IgorBeg

IgorBeg

2020-05-18 10:20

reporter   ~0003442

I understand you, @AVLinux; and I know everybody has its own workflow. Sometimes an User like me do not know all the features of Cinelerra. If you have a few of time (1 minute) take a look at the fast screencast, please. May be you always know that.
https://streamable.com/yt0h5o

PS:
Glen, I take this opportunity to thanks you for your OS. It is amazing. I am using UbuntuStudio_16.04 but your OS is my second candidate OS. And I use it as a rescue DVD-live. Thank you so much!
AVLinux

AVLinux

2020-05-18 00:35

reporter   ~0003441

@IgorBeg

GG indicated in that thread that the current functionality would be retained so you shouldn't lose your workflow and hopefully if all goes well some of the new features will added for those who prefer them, to those of us working with a lot of Audio tracks and used to working with other NLE's and Audio DAW's the "professional" aspect of how Cinelerra currently handles Audio is somewhat debatable.
IgorBeg

IgorBeg

2020-05-16 10:17

reporter   ~0003432

Thank Sam for opening this ticket. I hadn't read it in the Forum.
I have not tried the last Cin version by git, but I would like to say something about.

I think that many user do not know all the feature there are in Cinelerra. So some users ask for new features, not knowing that there is a way to do that or less.
Only to take an example, how many people know that you can compress all the tracks except where your focus it?
In Overlay window you can use Shift+LMB on the Titles item to compress all the tracks, or unchecked the Assets item; in Patchbay you can expand the tracks of your interest to work on it. So you can save a lot of space for your editing.

About Stereo tracks for the Audio: I always prefer to have separate tracks for the two channels. It is professional. If I have to apply the same effect on the Audio channels (Left+Right), I apply the effect on the Left channel and, then, I use the Shared effect to add the same effect to its Right channel.

Like always, only my personal opinion.
MatN

MatN

2020-05-16 07:08

reporter   ~0003431

Oh, I see this was already dealt with in BT133, I had forgotten. Too difficult to implement apparently.
MatN

MatN

2020-05-16 06:53

reporter   ~0003430

It would be very nice if one could use a side-channel effect, where one audio channel controls the volume of one or more others. Like a voice-over channel causing an automatic reduction in volume of selected other channels.
Sam

Sam

2020-05-15 22:10

administrator   ~0003425

I am delighted that we now have the ability to adjust the track height for each track. Really great implementation by you guys.
I just noticed a few things. In the Theme Cakewalk, the fields are cut slightly.

Audio-setting-bug.jpg (55,555 bytes)
Audio-setting-bug.jpg (55,555 bytes)
Sam

Sam

2020-05-15 21:59

administrator   ~0003424

Last post from Phyllis:

We have split up the following 3 items into phase 1 for bullet 1, which we call GUI, and phase 2 for bullet 2 and 3, which we call GANG -

    Independent vertical sizing of Audio and Video tracks
    Option to choose stereo tracks as a "monolithic" entity that are acted on together for various editing operations (cut/split/copy/paste), dragging, locking/unlocking, applying effects..
    Stereo tracks contained in the same visual 'lane' in the timeline view

With today's GIT checkin, you can now independently size audio versus video tracks. And that's not all ! You can individually resize any track in the patchbay with a toggle. There is a static Debian 10 tar for testing at:

https://cinelerra-gg.org/download/testing/cinelerra-5.1-debian10-x86_64-static.txz

If there are other operating systems on which someone would like to test, just let us know. We did not build Mint 18 yet but can do so if Pierre would like to test but we are still working so there will be more changes.

See the attached mages showing the toggle on the right side of the patchbay for each track and the second png for the zoombar audio individual sizing. And note the tiny little audio track underneath the normal size video track.

patchbay.png
 zoombar.png
By PhyllisSmith 15/05/2020 1:30 am

Issue History

Date Modified Username Field Change
2020-05-15 21:58 Sam New Issue
2020-05-15 21:58 Sam Tag Attached: Main window
2020-05-15 21:59 Sam Note Added: 0003424
2020-05-15 22:10 Sam File Added: Audio-setting-bug.jpg
2020-05-15 22:10 Sam Note Added: 0003425
2020-05-16 06:53 MatN Note Added: 0003430
2020-05-16 07:08 MatN Note Added: 0003431
2020-05-16 10:17 IgorBeg Note Added: 0003432
2020-05-18 00:35 AVLinux Note Added: 0003441
2020-05-18 10:20 IgorBeg Note Added: 0003442
2020-05-18 14:27 AVLinux File Added: ArdourAudio.png
2020-05-18 14:27 AVLinux Note Added: 0003444
2020-05-18 18:47 PhyllisSmith Note Added: 0003445
2020-05-18 18:48 PhyllisSmith Assigned To => goodguy
2020-05-18 18:48 PhyllisSmith Status new => assigned
2020-05-20 21:07 PhyllisSmith Note Added: 0003456
2020-05-21 07:47 IgorBeg Note Added: 0003457
2020-05-21 09:33 Sam File Added: Auswahl_081.png
2020-05-21 09:33 Sam Note Added: 0003458
2020-05-21 09:34 Sam Note Edited: 0003458 View Revisions
2020-05-21 09:34 Sam Note Revision Dropped: 3458: 0000377
2020-05-22 07:42 IgorBeg Note Added: 0003459
2020-05-22 08:05 Sam Note Added: 0003460
2020-05-22 08:13 Sam Note Added: 0003461
2020-05-22 10:13 IgorBeg Note Added: 0003463
2020-05-22 20:47 PhyllisSmith Note Added: 0003464
2020-05-27 08:10 IgorBeg File Added: Cin_icons_tumblepatch.tar.gz
2020-05-27 08:10 IgorBeg Note Added: 0003476
2020-05-28 00:39 PhyllisSmith Note Added: 0003480
2020-05-28 09:58 IgorBeg Note Added: 0003491
2020-05-28 10:33 Sam Note Added: 0003493
2020-05-28 18:04 PhyllisSmith Note Added: 0003502
2020-05-29 07:32 IgorBeg Note Added: 0003508
2020-05-29 12:27 IgorBeg File Added: Cin_icons_tumblepatch_2.tar.gz
2020-05-29 12:27 IgorBeg Note Added: 0003512
2020-05-30 01:53 PhyllisSmith Note Added: 0003521
2020-05-30 09:09 IgorBeg Note Added: 0003522
2020-06-03 19:11 AVLinux Note Added: 0003560
2020-06-03 20:11 PhyllisSmith Note Added: 0003562
2020-06-04 02:05 PhyllisSmith File Added: shared_effect.png
2020-06-04 02:05 PhyllisSmith Note Added: 0003563
2020-06-04 02:07 PhyllisSmith Note Edited: 0003563 View Revisions